1 Reply Latest reply: Jan 13, 2013 10:57 AM by Niel
Loc97 Level 1 Level 1 (0 points)

I have an older macbook pro using 10.4.11, just bought a printer that requires 10.5.8. Can I update my mac, or should I return the printer?


MacBook Pro, Mac OS X (10.4.11)